/* Course page */
.course-page .arrow-element {
  border-bottom: 2px solid rgba(255, 255, 255, 0.4);
  border-right: 2px solid rgba(255, 255, 255, 0.4);
}

.course-page .arrow path {
  fill: var(--white);
}

.course-page .breadcrumbs span:last-child {
  color: var(--lightest-grey);
}

.header_colorful {
  background-color: var(--dark-grey);
}

@media (max-width: 500px) {
  .course-page .arrow-down {
    top: -43px;
  }
}
/* Course banner */
.course-banner {
  position: relative;
}
.course-banner__wrapper {
  position: relative;
  overflow: hidden;
  min-height: 572px;
}
.course-banner h1 {
  color: var(--white);
}
.course-banner__top-block {
  max-width: 600px;
  margin-bottom: 50px;
}
.course-banner__top-block .sub-info {
  display: inline-block;
  margin-bottom: 30px;
}
.course-banner__block {
  color: var(--white);
  margin-bottom: 50px;
}
.course-banner__title {
  margin-bottom: 146px;
}
.course-banner__text {
  max-width: 630px;
  font-weight: 500;
  font-size: 24px;
  color: var(--white);
}
.course-banner__bottom-block {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.course-banner__bottom-block_mobile {
  display: none;
}
.course-banner__item {
  display: flex;
  flex-direction: column;
  gap: 30px;
  backdrop-filter: blur(10px);
  background: rgba(61, 61, 61, 0.5);
  padding: 20px 30px;
}
.course-banner__item-title {
  font-weight: 400;
  font-size: 14px;
  color: var(--grey7);
}
.course-banner__item-term {
  font-weight: 600;
  font-size: 18px;
  color: var(--white);
}
.course-banner__formats {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 10px;
}
.course-banner__format {
  font-weight: 600;
  color: var(--white);
  background-color: var(--grey);
  padding: 5px 10px;
}
.course-banner__img-wrap {
  position: absolute;
  max-width: 868px;
  height: auto;
  right: -220px;
  top: -30px;
  z-index: -1;
}
.course-banner__buttons-wrap {
  display: flex;
  gap: 30px;
}
.course-banner__price {
  font-weight: 700;
  font-size: 18px;
  color: var(--white);
}
.course-banner__sub-block {
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.course-banner__subtext {
  font-size: 12px;
  color: var(--grey7);
}

@media (max-width: 1024px) {
  .course-banner__wrapper {
    min-height: unset;
  }
  .course-banner__title {
    margin-bottom: 100px;
  }
  .course-banner__text {
    font-size: 22px;
  }
  .course-banner__item {
    gap: 15px;
    padding: 20px;
  }
  .course-banner__img-wrap {
    max-width: 550px;
    right: -140px;
    top: 60px;
  }
}
@media (max-width: 768px) {
  .course-banner__top-block {
    max-width: 100%;
  }
  .course-banner__block {
    margin-bottom: 20px;
  }
  .course-banner__title {
    margin-bottom: 50px;
  }
  .course-banner__text {
    font-size: 18px;
    max-width: 100%;
  }
  .course-banner__bottom-block_desktop {
    display: none;
  }
  .course-banner__bottom-block_mobile {
    display: flex;
    gap: 10px;
  }
  .course-banner__item-title {
    font-size: 14px;
  }
  .course-banner__item-description {
    font-size: 16px;
  }
  .course-banner__img-wrap {
    position: unset;
    max-width: 392px;
    justify-self: center;
  }
}
@media (max-width: 600px) {
  .course-banner__top-block .sub-info {
    margin-bottom: 20px;
  }
  .course-banner__button {
    width: 100%;
    text-align: center;
  }
  .course-banner__img-wrap {
    max-width: 302px;
  }
  .course-banner__bottom-block_mobile {
    flex-direction: column;
  }
  .course-banner__item-term,
  .course-banner__price {
    font-size: 16px;
  }
}
@media (max-width: 320px) {
  .course-banner__text {
    font-size: 16px;
  }
}

/* Progress */

.progress-bar {
  display: flex;
  gap: 8px;
}
.progress-line {
  width: 100%;
  height: 4px;
  background-color: var(--grey2);
  transition: all 0.3s ease;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.progress-line::before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 0%;
  background-color: var(--white);
  transition: width 0s linear;
}
.progress-line.active::before {
  width: 100%;
  transition: width 5s linear;
}
.progress-line.completed::before {
  width: 100%;
  transition: none;
}

/* Conditions */
.conditions h2 {
  color: var(--white);
  padding-right: 100px;
  margin-bottom: 70px;
}
.conditions__header {
  position: relative;
}
.conditions__header-block {
  font-weight: 600;
  font-size: 20px;
  text-align: center;
  color: var(--black);
  background-color: var(--white);
  padding: 25px 10px;
}
.conditions__blocks {
  display: flex;
  gap: 30px;
}
.conditions__block {
  background-color: var(--grey8);
  max-width: 427px;
  width: 100%;
}
.conditions__content-container_colorful {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 40px;
  background-color: var(--main-yellow);
  padding: 10px 50px;
}
.conditions__content-wrapper {
  display: flex;
  flex-direction: column;
  gap: 40px;

  padding: 40px 60px 60px 60px;
}
.conditions__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.conditions__list-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.conditions__list-title {
  font-weight: 600;
  font-size: 16px;
  line-height: 129%;
  color: var(--white);
}
.conditions__list-title_right {
  line-height: 94%;
  text-align: right;
}
.conditions__list-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
.conditions__list-text {
  font-size: 14px;
  color: var(--white);
}
.conditions__inner-content {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.conditions__item {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.conditions__list-number {
  font-weight: 600;
  font-size: 20px;
  line-height: 140%;
  text-align: right;
  color: var(--white);
}
.conditions__button {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  line-height: 122%;
  color: var(--blue);
  border: none;
  outline: none;
  background: transparent;
  transition: all 0.3s ease;
  cursor: pointer;
  margin-top: 20px;
}
.conditions__button:hover {
  color: var(--blue-hover);
}
.conditions__button:hover svg path {
  fill: var(--blue-hover);
}
.conditions__img-wrap {
  max-width: 172px;
  width: 100%;
}
.conditions__description {
  font-weight: 600;
  font-size: 20px;
  text-align: center;
  color: var(--grey);
}
.conditions__mobile-block {
  display: none;
}
.conditions__mobile-block_unic {
  display: none;
}
.conditions__block_unic {
  min-height: 500px;
}
.conditions__list-desc {
  display: flex;
  flex-direction: column;
  gap: 40px;
  color: var(--white);
  font-weight: 500;
  font-size: 24px;
}
.conditions__list-desc_spo {
  font-size: 18px;
}
.conditions__title-block {
  font-size: 20px;
}
@media (max-width: 1200px) {
  .conditions__content-wrapper {
    padding: 30px;
  }
}
@media (max-width: 1023px) {
  .conditions__block_visible {
    display: none;
  }
  .conditions__block {
    max-width: unset;
  }
  .conditions__content {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }
  .conditions__mobile-block {
    max-width: 465px;
    position: relative;
    display: block;
    background-color: var(--main-yellow);
    padding: 30px 10px 30px 20px;
  }
  .conditions__mobile-block_unic {
    display: none;
  }
  .conditions__mobile-block::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    right: 90px;
    background-image: url(../img/icons/star.webp);
    background-size: contain;
    background-repeat: no-repeat;
    max-width: 97px;
    width: 100%;
    height: 95px;
    transform: translateY(50%);
    z-index: 1;
  }
  .conditions__mobile-wrapper {
    display: flex;
    flex-direction: column;
    justify-self: flex-start;
    gap: 30px;
    max-width: 380px;
  }
  .conditions__mobile-wrapper .button {
    max-width: 92px;
    padding: 10px 15px;
  }
  .conditions__mobile-wrapper .conditions__description {
    text-align: left;
    position: relative;
    z-index: 10;
  }
  .conditions__block_unic {
    min-height: 460px;
  }
  .conditions__wrapper-block {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }
}
@media (max-width: 768px) {
  .conditions__title-block {
    font-size: 16px;
  }
}
@media (max-width: 700px) {
  .conditions__blocks {
    overflow-x: auto;
    overflow-y: hidden;
    gap: 10px;
    width: 100%;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
  }
  .conditions__block {
    flex-shrink: 0;
    max-width: 400px;
    width: 100%;
  }
  .conditions__blocks_unic {
    flex-direction: column;
    gap: 50px;
  }
  .conditions__block_unic-desk {
    display: none;
  }
  .conditions__mobile-block_unic {
    display: block;
    max-width: unset;
  }
  .conditions__block_unic {
    max-width: unset;
    min-height: 330px;
  }
}
@media (max-width: 600px) {
  .conditions h2 {
    margin-bottom: 50px;
  }
}
@media (max-width: 500px) {
  .conditions__mobile-block::after {
    right: 20px;
    transform: translateY(68%);
  }
  .conditions__list-number {
    font-size: 18px;
  }
  .conditions__button {
    font-size: 16px;
  }
  .conditions__block:not(.conditions__block_unic) {
    max-width: 310px;
  }
}
@media (max-width: 363px) {
  .conditions .hand-swipe__promptBox {
    bottom: 228px;
  }
  .conditions__block:not(.conditions__block_unic) {
    max-width: 270px;
  }
  .conditions__header-block {
    font-size: 16px;
    padding: 15px 10px;
  }
  .conditions__list-title {
    font-size: 14px;
  }
  .conditions__list-number {
    font-size: 15px;
  }
  .conditions__list-text {
    font-size: 12px;
  }
  .conditions__list-desc {
    font-size: 20px;
  }
  .conditions__list-desc_spo {
    font-size: 16px;
  }
}
@media (max-width: 320px) {
  .conditions__mobile-block::after {
    transform: translateY(108%);
  }
}

/* Formats */
.formats h2 {
  color: var(--white);
  padding-right: 100px;
  margin-bottom: 0;
}
.formats__swiper {
  min-height: 350px;
}
.formats__header {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}
.formats .arrow {
  background-color: var(--grey9);
}
.formats .arrow__dark-img {
  filter: invert(0);
}
.formats__block {
  background-color: var(--white);
  padding: 20px;
}
.yellow-bg {
  background-color: var(--main-yellow);
}
.yellow-bg .formats__installment-plan {
  background-color: var(--yellow5);
  border: none;
}
.yellow-bg .formats__list-steps li::before {
  background-color: var(--grey);
}
.yellow-bg .formats__button {
  color: var(--white);
  background-color: var(--dark-grey);
}
.yellow-bg .formats__sub-text {
  background-color: var(--white);
}
.formats__swiper-wrap {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 80px;
  height: 100%;
}
.formats__content-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
}
.formats__block-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
.formats__level {
  font-weight: 700;
  font-size: 28px;
}
.formats__sub-text {
  font-weight: 700;
  text-align: center;
  align-content: center;
  background-color: var(--lightest-grey);
  padding: 8px 10px;
}
.formats__form {
  font-weight: 700;
  font-size: 14px;
  border-radius: 10px;
  padding: 8px 12px;
  background-color: var(--lightest-grey);
}
.formats__installment-plan {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 18px;
  border: 1px solid var(--lightest-grey2);
  padding: 15px;
}
.formats__installment-plan_colorful {
  color: var(--white);
  background-color: var(--grey);
}
.formats__text-wrap {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.formats__price {
  font-weight: 600;
  font-size: 24px;
}
.formats__period {
  font-family: var(--second-family);
  font-weight: 500;
  font-size: 20px;
}
.formats__text {
  font-weight: 500;
  font-size: 16px;
  line-height: 112%;
  text-decoration: line-through;
}
.formats__installment-text {
  align-self: flex-start;
  font-weight: 600;
  font-size: 14px;
  text-align: center;
  color: var(--black);
  background-color: var(--lightest-grey);
  padding: 8px 10px;
}
.formats__installment-text_yellow {
  background-color: var(--main-yellow);
}
.formats__installment-text_dark {
  color: var(--white);
  background-color: var(--black);
}
.formats__list-steps {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.formats__list-steps li::before {
  content: "";
  display: inline-block;
  flex-shrink: 0;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: var(--main-yellow);
  vertical-align: baseline;
  margin: 0 10px;
}
.formats__item {
  display: flex;
  font-weight: 500;
  font-size: 14px;
  color: var(--black);
}
.formats__button {
  width: 100%;
  text-align: center;
}
.formats__footer {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.formats__subinfo {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  font-size: 15px;
  color: var(--grey3);
}
.formats__subinfo span {
  flex-shrink: 0;
}
.formats__footer-text span {
  font-weight: 700;
}
.formats__price-sem {
  font-weight: 500;
  font-size: 16px;
  line-height: 113%;
  color: var(--grey3);
}

@media (max-width: 1180px) {
  .formats__price {
    font-size: 20px;
  }
}

@media (max-width: 1024px) {
  .formats__block {
    min-width: unset;
  }
  .formats__swiper-wrap {
    gap: 60px;
  }
}
@media (max-width: 768px) {
  .formats {
    margin-bottom: 40px;
  }
  .formats__block {
    padding: 20px 15px;
  }
  .formats__content-wrap {
    gap: 20px;
  }
  .formats__level {
    font-size: 20px;
  }
  .formats__price {
    font-size: 16px;
  }
  .formats__period {
    font-weight: 600;
    font-size: 14px;
  }
  .formats__form {
    font-size: 12px;
  }
  .formats__text {
    font-size: 12px;
  }
  .formats__installment-text {
    font-size: 12px;
  }
  .formats__list-steps {
    gap: 8px;
  }
  .formats__list-steps li::before {
    width: 12px;
    height: 12px;
  }
  .formats__item {
    font-weight: 400;
    font-size: 12px;
  }
  .formats__button {
    font-size: 14px;
  }
  .formats__swiper-wrap {
    gap: 30px;
  }
  .formats__subinfo {
    gap: 5px;
    font-size: 12px;
  }
  .formats__price-sem {
    font-size: 12px;
  }
}
@media (max-width: 600px) {
  .formats__header {
    margin-bottom: 50px;
  }
  .formats__pagination {
    display: none;
  }
  .formats__swiper {
    min-height: 300px;
  }
}
@media (max-width: 375px) {
  .formats__price {
    font-size: 14px;
  }

  .formats__period {
    font-size: 12px;
  }

  .formats__installment-text {
    font-size: 10px;
  }
}

/* Interest course */
.interest-course h2 {
  color: var(--white);
  padding-right: 100px;
  margin-bottom: 0;
}
.interest-course h3 {
  font-weight: 700;
  font-size: 24px;
  color: var(--white);
}
.interest-course__card-course {
  max-height: 100%;
}
.interest-course__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 70px;
}
.interest-course .arrow {
  background-color: var(--grey9);
}
.interest-course .arrow__dark-img {
  filter: invert(0);
}
.interest-course .card-course {
  background-color: var(--grey2);
}
.interest-course__content-container {
  height: 100%;
}
.interest-course__content {
  display: flex;
  box-shadow: unset;
  flex-direction: column;
  gap: 15px;
  border: none;
}
.interest-course .card-course__form-edu {
  color: var(--white);
  background-color: var(--dark-grey);
  border: none;
}
.interest-course .card-course__price {
  color: var(--white);
}
.interest-course .card-course__icon {
  filter: invert(1);
}
.interest-course .card-course:hover,
.interest-course .card-course:active {
  background-color: var(--grey2);
}
.interest-course .card-course:hover .card-course__title,
.interest-course .card-course:hover .card-course__time,
.interest-course .card-course:hover .card-course__price,
.interest-course .card-course:hover .card-course__form-edu,
.interest-course .card-course:active .card-course__title,
.interest-course .card-course:active .card-course__time,
.interest-course .card-course:active .card-course__price,
.interest-course .card-course:active .card-course__form-edu {
  color: var(--white);
}
.interest-course .card-course:hover .card-course__form-edu,
.interest-course .card-course:active .card-course__form-edu {
  border: var(--white);
  background-color: var(--dark-grey);
}
.interest-course .card-course:hover .card-course__img-wrap,
.interest-course .card-course:active .card-course__img-wrap {
  transform: translate(-10px, -15px);
}
.interest-course .card-course:hover .card-course__icon,
.interest-course .card-course:active .card-course__icon {
  filter: invert(1);
}
.interest-course .card-course__time {
  font-size: 14px;
  color: var(--white);
}

@media (max-width: 768px) {
  .interest-course {
    margin-bottom: 40px;
  }

  .interest-course h3 {
    font-size: 20px;
    flex: 1;
  }
}
@media (max-width: 600px) {
  .interest-course__header {
    margin-bottom: 50px;
  }
  .interest-course__pagination {
    display: none;
  }
  .interest-course .sub-info {
    font-size: 14px;
  }
}

@media (max-width: 320px) {
  .interest-course__swiper {
    padding-bottom: 70px;
  }
}